Unity Web Player | CardPeeGee vanilla

Note: the original browser game requires the Unity Web Player plugin, which is incompatible with modern browsers including Chrome and Firefox. It may be possible to play in Internet Explorer or similar, but until the game can be ported to a modern format there is a chance it will not load on any platform. There is currently no timeline in place for any upgrade to be delivered.